Announcement Announcement Module
Collapse
No announcement yet.
Spring Social 1.1.0 dependencies Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Social 1.1.0 dependencies

    Hi,

    I tried to get Spring Social Facebook 1.1.0 to run...


    Spring Social 1.1.0 depends on Spring core 4.x

    Spring Social Facebook forces me to implement SocialConfigurer (not 100% sure about that)

    SocialConfigurer implementation forces me to use class JdbcUsersConnectionRepository

    JdbcUsersConnectionRepository has a reference to Spring Security (class Encryptors)

    The only stable version of Spring Security (3.2.4) depends on Spring core 3. When I use this, I get runtime errors (ClassDefNotFound)


    So how can I get anything to run with Spring Social 1.1.0? Btw, it seems Maven doesn't know about the dependency to Spring Security, I had to add it by hand.


    Has anybody got Spring Social Facebook 1.1.0 to run, including a SocialConfigurer implementation?

    Thanks,
    Gerd
Working...
X